package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103STP;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103STPCreator;

public class Tag36Creator extends AbsTagCreate {
    private MT103STPCreator mt103STPCreator;

    public Tag36Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103STPCreator= (MT103STPCreator) absMTCreator;
    }

    public void creator()
    {
        String tag36Value = mt103STPCreator.getExchangeRate();
        mt103STPCreator.set("36", tag36Value);
    }
}
